Bug 618799 - Creation of ~/.config/menus with root ownership causes disappearance of application menu bars and crashes alacarte
Creation of ~/.config/menus with root ownership causes disappearance of appli...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alacarte (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 14:49 EDT by Ralph Clark
Modified: 2011-06-29 08:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 08:53:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralph Clark 2010-07-27 14:49:20 EDT
Description of problem: 
1. Gnome apps all missing their menu bar (the one with File, View etc on it)
2. alacarte crashes immediately each time it's invoked

Version-Release number of selected component (if applicable): 0.13.1-1
(It's not yet been proven that alacarte is ultimately responsible for miscreating the files with root ownership)


How reproducible:
Unknown 

Steps to Reproduce:
1. Create new user account with gnome desktop
2. Check if ~/.config/menus exists and what ownership do it and its contents have
3. "merge applications" - don't know if this step is critical
4. Check ~/.config/menus{,/*} ownership again
5. try to run alacarte and make some change to app menu configuration
6. Check ~/.config/menus{,/*} ownership again
7. try to run alacarte and make some change to app menu configuration
8. Check ~/.config/menus{,/*} ownership again

  
Actual results:
At some point these files show up as owned by root and the next attempt to run alacarte causes it to crash

Expected results:
~/.config/menus and its contents should be created as owned by the user so that alacarte does not crash.

Additional info:
See Gnome bug https://bugzilla.gnome.org/show_bug.cgi?id=576799
It reports the alacarte crashability back in alacarte version 0.11 however the supplied patch for handling the I/O exception was apparently ignored by the code maintainers, as was the issue of how these files acquired the wrong ownership in the first place.
I suspect ~/.config/menus was created while alacarte was running with root priv so could be the result of a gnome-policykit bug
Comment 1 Bug Zapper 2011-06-01 08:42:40 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-29 08:53:57 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.